//MountManager - the program for easy mounting of storage devices in Linux
//Copyright (C) 2007-2008 Tikhonov Sergey
//
//This file is part of MountManager Gui
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#include <QtGui/QLabel>
#include <QtGui/QDialog>
#include <QtGui/QIcon>
#include <QtGui/QVBoxLayout>
#include "aboutprogramdialog.h"
#include "const.h"

AboutProgramDialog::AboutProgramDialog(QWidget *parent) : QDialog(parent) {
	iconLabel = new QLabel;
	iconLabel->setPixmap(QPixmap(IMAGES_PATH"about.png"));
		
	textLabel = new QLabel;
	textLabel->setWordWrap(true);
	
	textLabel->setText(tr("Copyright (c) 2007-2008 Tikhonov Sergey and ViaLinx Laboratories. All offers and reports you can send to e-mail: <b>sstikhonov@gmail.com</b>"));
			
	setWindowTitle(tr("About the program"));
	
	QVBoxLayout *textLayout = new QVBoxLayout;
	textLayout->setMargin(5);
	textLayout->addWidget(textLabel);
	
	mainLayout = new QVBoxLayout;
	mainLayout->setMargin(0);
	mainLayout->addWidget(iconLabel);
	mainLayout->addLayout(textLayout);
	mainLayout->addStretch();
	
	setLayout(mainLayout);
}

AboutProgramDialog::~AboutProgramDialog() {
	delete iconLabel;
	delete textLabel;
	
	delete topLayout;
	delete bottomLayout;
	delete mainLayout;
}
